GNU Radio C++ API Reference: HistogramDisplayPlot Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
HistogramDisplayPlot Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget for displaying time domain plots. More...

`#include <gnuradio/qtgui/HistogramDisplayPlot.h>`

## Public Slots
void | setAutoScale (bool state)
void | setAutoScaleX ()
void | setSemilogx (bool en)
void | setSemilogy (bool en)
void | setAccumulate (bool en)
bool | getAccumulate () const
void | setMarkerAlpha (unsigned int which, int alpha) override
int | getMarkerAlpha (unsigned int which) const override
void | setLineColor (unsigned int which, QColor color) override
void | setNumBins (unsigned int bins)
void | setXaxis (double min, double max) override
void | clear ()
Public Slots inherited from DisplayPlot
virtual void | disableLegend ()
virtual void | setAxisLabels (bool en)
virtual void | setYaxis (double min, double max)
virtual void | setXaxis (double min, double max)
virtual void | setLineLabel (unsigned int which, QString label)
virtual QString | getLineLabel (unsigned int which)
virtual void | setLineColor (unsigned int which, QColor color)
virtual QColor | getLineColor (unsigned int which) const
virtual void | setLineWidth (unsigned int which, int width)
virtual int | getLineWidth (unsigned int which) const
virtual void | setLineStyle (unsigned int which, Qt::PenStyle style)
virtual Qt::PenStyle | getLineStyle (unsigned int which) const
virtual void | setLineMarker (unsigned int which, QwtSymbol::Style marker)
virtual QwtSymbol::Style | getLineMarker (unsigned int which) const
virtual void | setMarkerAlpha (unsigned int which, int alpha)
virtual int | getMarkerAlpha (unsigned int which) const
void | setLineColor1 (QColor)
void | setLineColor2 (QColor)
void | setLineColor3 (QColor)
void | setLineColor4 (QColor)
void | setLineColor5 (QColor)
void | setLineColor6 (QColor)
void | setLineColor7 (QColor)
void | setLineColor8 (QColor)
void | setLineColor9 (QColor)
void | setLineWidth1 (int)
void | setLineWidth2 (int)
void | setLineWidth3 (int)
void | setLineWidth4 (int)
void | setLineWidth5 (int)
void | setLineWidth6 (int)
void | setLineWidth7 (int)
void | setLineWidth8 (int)
void | setLineWidth9 (int)
void | setLineStyle1 (Qt::PenStyle)
void | setLineStyle2 (Qt::PenStyle)
void | setLineStyle3 (Qt::PenStyle)
void | setLineStyle4 (Qt::PenStyle)
void | setLineStyle5 (Qt::PenStyle)
void | setLineStyle6 (Qt::PenStyle)
void | setLineStyle7 (Qt::PenStyle)
void | setLineStyle8 (Qt::PenStyle)
void | setLineStyle9 (Qt::PenStyle)
void | setLineMarker1 (QwtSymbol::Style)
void | setLineMarker2 (QwtSymbol::Style)
void | setLineMarker3 (QwtSymbol::Style)
void | setLineMarker4 (QwtSymbol::Style)
void | setLineMarker5 (QwtSymbol::Style)
void | setLineMarker6 (QwtSymbol::Style)
void | setLineMarker7 (QwtSymbol::Style)
void | setLineMarker8 (QwtSymbol::Style)
void | setLineMarker9 (QwtSymbol::Style)
void | setMarkerAlpha1 (int)
void | setMarkerAlpha2 (int)
void | setMarkerAlpha3 (int)
void | setMarkerAlpha4 (int)
void | setMarkerAlpha5 (int)
void | setMarkerAlpha6 (int)
void | setMarkerAlpha7 (int)
void | setMarkerAlpha8 (int)
void | setMarkerAlpha9 (int)
void | setZoomerColor (QColor c)
void | setPaletteColor (QColor c)
void | setAxisLabelFontSize (int axisId, int fs)
void | setYaxisLabelFontSize (int fs)
void | setXaxisLabelFontSize (int fs)
void | setAxesLabelFontSize (int fs)
void | setStop (bool on)
void | resizeSlot (QSize *s)
void | onPickerPointSelected (const QPointF &p)

## Public Member Functions
| HistogramDisplayPlot (unsigned int nplots, QWidget *)
| ~HistogramDisplayPlot () override
| HistogramDisplayPlot (const HistogramDisplayPlot &)=delete
| HistogramDisplayPlot (HistogramDisplayPlot &&)=delete
HistogramDisplayPlot & | operator= (const HistogramDisplayPlot &)=delete
HistogramDisplayPlot & | operator= (HistogramDisplayPlot &&)=delete
void | plotNewData (const std::vector< const double * > dataPoints, const uint64_t numDataPoints, const double timeInterval)
void | replot () override
Public Member Functions inherited from DisplayPlot
| DisplayPlot (int nplots, QWidget *)
| ~DisplayPlot () override
const QColor | getLineColor1 () const
const QColor | getLineColor2 () const
const QColor | getLineColor3 () const
const QColor | getLineColor4 () const
const QColor | getLineColor5 () const
const QColor | getLineColor6 () const
const QColor | getLineColor7 () const
const QColor | getLineColor8 () const
const QColor | getLineColor9 () const
int | getLineWidth1 () const
int | getLineWidth2 () const
int | getLineWidth3 () const
int | getLineWidth4 () const
int | getLineWidth5 () const
int | getLineWidth6 () const
int | getLineWidth7 () const
int | getLineWidth8 () const
int | getLineWidth9 () const
Qt::PenStyle | getLineStyle1 () const
Qt::PenStyle | getLineStyle2 () const
Qt::PenStyle | getLineStyle3 () const
Qt::PenStyle | getLineStyle4 () const
Qt::PenStyle | getLineStyle5 () const
Qt::PenStyle | getLineStyle6 () const
Qt::PenStyle | getLineStyle7 () const
Qt::PenStyle | getLineStyle8 () const
Qt::PenStyle | getLineStyle9 () const
QwtSymbol::Style | getLineMarker1 () const
QwtSymbol::Style | getLineMarker2 () const
QwtSymbol::Style | getLineMarker3 () const
QwtSymbol::Style | getLineMarker4 () const
QwtSymbol::Style | getLineMarker5 () const
QwtSymbol::Style | getLineMarker6 () const
QwtSymbol::Style | getLineMarker7 () const
QwtSymbol::Style | getLineMarker8 () const
QwtSymbol::Style | getLineMarker9 () const
int | getMarkerAlpha1 () const
int | getMarkerAlpha2 () const
int | getMarkerAlpha3 () const
int | getMarkerAlpha4 () const
int | getMarkerAlpha5 () const
int | getMarkerAlpha6 () const
int | getMarkerAlpha7 () const
int | getMarkerAlpha8 () const
int | getMarkerAlpha9 () const
QColor | getZoomerColor () const
QColor | getPaletteColor () const
int | getAxisLabelFontSize (int axisId) const
int | getYaxisLabelFontSize () const
int | getXaxisLabelFontSize () const
int | getAxesLabelFontSize () const

## Additional Inherited Members
Signals inherited from DisplayPlot
void | plotPointSelected (const QPointF p)
Protected Slots inherited from DisplayPlot
virtual void | legendEntryChecked (QwtPlotItem *plotItem, bool on)
virtual void | legendEntryChecked (const QVariant &plotItem, bool on, int index)
Protected Attributes inherited from DisplayPlot
unsigned int | d_nplots
std::vector< QwtPlotCurve * > | d_plot_curve
QwtPlotPanner * | d_panner
QwtPlotZoomer * | d_zoomer
QwtDblClickPlotPicker * | d_picker
QwtPlotMagnifier * | d_magnifier
int64_t | d_numPoints
bool | d_stop
QList< QColor > | d_trace_colors
bool | d_autoscale_state
Properties inherited from DisplayPlot
QColor | line_color1
QColor | line_color2
QColor | line_color3
QColor | line_color4
QColor | line_color5
QColor | line_color6
QColor | line_color7
QColor | line_color8
QColor | line_color9
int | line_width1
int | line_width2
int | line_width3
int | line_width4
int | line_width5
int | line_width6
int | line_width7
int | line_width8
int | line_width9
Qt::PenStyle | line_style1
Qt::PenStyle | line_style2
Qt::PenStyle | line_style3
Qt::PenStyle | line_style4
Qt::PenStyle | line_style5
Qt::PenStyle | line_style6
Qt::PenStyle | line_style7
Qt::PenStyle | line_style8
Qt::PenStyle | line_style9
QwtSymbolStyle | line_marker1
QwtSymbolStyle | line_marker2
QwtSymbolStyle | line_marker3
QwtSymbolStyle | line_marker4
QwtSymbolStyle | line_marker5
QwtSymbolStyle | line_marker6
QwtSymbolStyle | line_marker7
QwtSymbolStyle | line_marker8
QwtSymbolStyle | line_marker9
int | marker_alpha1
int | marker_alpha2
int | marker_alpha3
int | marker_alpha4
int | marker_alpha5
int | marker_alpha6
int | marker_alpha7
int | marker_alpha8
int | marker_alpha9
QColor | zoomer_color
QColor | palette_color
int | yaxis_label_font_size
int | xaxis_label_font_size
int | axes_label_font_size

## Detailed Description

QWidget for displaying time domain plots.

## Constructor & Destructor Documentation

## ◆ HistogramDisplayPlot() [1/3]

HistogramDisplayPlot::HistogramDisplayPlot | ( | unsigned int | nplots,
|  | QWidget * | )

Referenced by HistogramDisplayPlot(), HistogramDisplayPlot(), operator=(), and operator=().

## ◆ ~HistogramDisplayPlot()

HistogramDisplayPlot::~HistogramDisplayPlot | ( |  | ) |
| override

## ◆ HistogramDisplayPlot() [2/3]

HistogramDisplayPlot::HistogramDisplayPlot | ( | const HistogramDisplayPlot & |  | ) |
| delete

References HistogramDisplayPlot().

## ◆ HistogramDisplayPlot() [3/3]

HistogramDisplayPlot::HistogramDisplayPlot | ( | HistogramDisplayPlot && |  | ) |
| delete

References HistogramDisplayPlot().

## Member Function Documentation

## ◆ clear

void HistogramDisplayPlot::clear | ( |  | ) |
| slot

## ◆ getAccumulate

bool HistogramDisplayPlot::getAccumulate | ( |  | ) | const
| slot

## ◆ getMarkerAlpha

int HistogramDisplayPlot::getMarkerAlpha | ( | unsigned int | which | ) | const
| overrideslot

## ◆ operator=() [1/2]

HistogramDisplayPlot & HistogramDisplayPlot::operator= | ( | const HistogramDisplayPlot & |  | ) |
| delete

References HistogramDisplayPlot().

## ◆ operator=() [2/2]

HistogramDisplayPlot & HistogramDisplayPlot::operator= | ( | HistogramDisplayPlot && |  | ) |
| delete

References HistogramDisplayPlot().

## ◆ plotNewData()

void HistogramDisplayPlot::plotNewData | ( | const std::vector< const double * > | dataPoints,
|  | const uint64_t | numDataPoints,
|  | const double | timeInterval )

## ◆ replot()

void HistogramDisplayPlot::replot | ( |  | ) |
| overridevirtual

Implements DisplayPlot.

## ◆ setAccumulate

void HistogramDisplayPlot::setAccumulate | ( | bool | en | ) |
| slot

## ◆ setAutoScale

void HistogramDisplayPlot::setAutoScale | ( | bool | state | ) |
| slot

## ◆ setAutoScaleX

void HistogramDisplayPlot::setAutoScaleX | ( |  | ) |
| slot

## ◆ setLineColor

void HistogramDisplayPlot::setLineColor | ( | unsigned int | which,
|  | QColor | color )
| overrideslot

## ◆ setMarkerAlpha

void HistogramDisplayPlot::setMarkerAlpha | ( | unsigned int | which,
|  | int | alpha )
| overrideslot

## ◆ setNumBins

void HistogramDisplayPlot::setNumBins | ( | unsigned int | bins | ) |
| slot

## ◆ setSemilogx

void HistogramDisplayPlot::setSemilogx | ( | bool | en | ) |
| slot

## ◆ setSemilogy

void HistogramDisplayPlot::setSemilogy | ( | bool | en | ) |
| slot

## ◆ setXaxis

void HistogramDisplayPlot::setXaxis | ( | double | min,
|  | double | max )
| overrideslot

The documentation for this class was generated from the following file:

- HistogramDisplayPlot.h